Package org.codehaus.groovy.ast

# Class GenericsType.GenericsTypeName

java.lang.Object
org.codehaus.groovy.ast.GenericsType.GenericsTypeName

Enclosing class:
  GenericsType

public static class GenericsType.GenericsTypeName extends Object
Represents `GenericsType` name.

TODO: In order to distinguish GenericsType with same name, we should add a property to keep the declaring class.

1. change the signature of constructor GenericsTypeName to `GenericsTypeName(String name, ClassNode declaringClass)`
2. try to fix all compilation errors(if `GenericsType` has declaringClass property, the step would be a bit easy to fix...)
3. run all tests to see whether the change breaks anything
4. if all tests pass, congratulations! but if some tests are broken, try to debug and find why...

We should find a way to set declaring class for `GenericsType` first, it can be completed at the resolving phase.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GenericsTypeName(String name)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object that)`
  `String`
  `getName()`
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GenericsTypeName

    public GenericsTypeName(String name)

- ## Method Details

  - ### getName

    public String getName()

  - ### equals

    public boolean equals(Object that)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`